//Copyright (C)2014-2023 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//GOWIN Version: V1.9.9 Beta-3
//Part Number: GW2A-LV55PG484C8/I7
//Device: GW2A-55
//Device Version: C
//Created Time: Fri Jul 28 16:27:25 2023

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	AXI_Stream_FIFO_Top your_instance_name(
		.S_axi_aclk(S_axi_aclk_i), //input S_axi_aclk
		.S_axi_aresetn(S_axi_aresetn_i), //input S_axi_aresetn
		.S_axi_araddr(S_axi_araddr_i), //input [7:0] S_axi_araddr
		.S_axi_arready(S_axi_arready_o), //output S_axi_arready
		.S_axi_arvalid(S_axi_arvalid_i), //input S_axi_arvalid
		.S_axi_awaddr(S_axi_awaddr_i), //input [7:0] S_axi_awaddr
		.S_axi_awready(S_axi_awready_o), //output S_axi_awready
		.S_axi_awvalid(S_axi_awvalid_i), //input S_axi_awvalid
		.S_axi_bready(S_axi_bready_i), //input S_axi_bready
		.S_axi_bresp(S_axi_bresp_o), //output [1:0] S_axi_bresp
		.S_axi_bvalid(S_axi_bvalid_o), //output S_axi_bvalid
		.S_axi_rdata(S_axi_rdata_o), //output [31:0] S_axi_rdata
		.S_axi_rready(S_axi_rready_i), //input S_axi_rready
		.S_axi_rresp(S_axi_rresp_o), //output [1:0] S_axi_rresp
		.S_axi_rvalid(S_axi_rvalid_o), //output S_axi_rvalid
		.S_axi_wdata(S_axi_wdata_i), //input [31:0] S_axi_wdata
		.S_axi_wready(S_axi_wready_o), //output S_axi_wready
		.S_axi_wstrb(S_axi_wstrb_i), //input [3:0] S_axi_wstrb
		.S_axi_wvalid(S_axi_wvalid_i), //input S_axi_wvalid
		.Axi_str_rxd_tdata(Axi_str_rxd_tdata_i), //input [31:0] Axi_str_rxd_tdata
		.Axi_str_rxd_tlast(Axi_str_rxd_tlast_i), //input Axi_str_rxd_tlast
		.Axi_str_rxd_tready(Axi_str_rxd_tready_o), //output Axi_str_rxd_tready
		.Axi_str_rxd_tvalid(Axi_str_rxd_tvalid_i), //input Axi_str_rxd_tvalid
		.S_axi4_araddr(S_axi4_araddr_i), //input [7:0] S_axi4_araddr
		.S_axi4_arburst(S_axi4_arburst_i), //input [1:0] S_axi4_arburst
		.S_axi4_arcache(S_axi4_arcache_i), //input [3:0] S_axi4_arcache
		.S_axi4_arid(S_axi4_arid_i), //input [3:0] S_axi4_arid
		.S_axi4_arlen(S_axi4_arlen_i), //input [7:0] S_axi4_arlen
		.S_axi4_arlock(S_axi4_arlock_i), //input S_axi4_arlock
		.S_axi4_arport(S_axi4_arport_i), //input [2:0] S_axi4_arport
		.S_axi4_arready(S_axi4_arready_o), //output S_axi4_arready
		.S_axi4_arsize(S_axi4_arsize_i), //input [2:0] S_axi4_arsize
		.S_axi4_arvalid(S_axi4_arvalid_i), //input S_axi4_arvalid
		.S_axi4_awaddr(S_axi4_awaddr_i), //input [7:0] S_axi4_awaddr
		.S_axi4_awburst(S_axi4_awburst_i), //input [1:0] S_axi4_awburst
		.S_axi4_awcache(S_axi4_awcache_i), //input [3:0] S_axi4_awcache
		.S_axi4_awid(S_axi4_awid_i), //input [3:0] S_axi4_awid
		.S_axi4_awlen(S_axi4_awlen_i), //input [7:0] S_axi4_awlen
		.S_axi4_awlock(S_axi4_awlock_i), //input S_axi4_awlock
		.S_axi4_awport(S_axi4_awport_i), //input [2:0] S_axi4_awport
		.S_axi4_awready(S_axi4_awready_o), //output S_axi4_awready
		.S_axi4_awsize(S_axi4_awsize_i), //input [2:0] S_axi4_awsize
		.S_axi4_awvalid(S_axi4_awvalid_i), //input S_axi4_awvalid
		.S_axi4_bid(S_axi4_bid_o), //output [3:0] S_axi4_bid
		.S_axi4_bready(S_axi4_bready_i), //input S_axi4_bready
		.S_axi4_bresp(S_axi4_bresp_o), //output [1:0] S_axi4_bresp
		.S_axi4_bvalid(S_axi4_bvalid_o), //output S_axi4_bvalid
		.S_axi4_rdata(S_axi4_rdata_o), //output [31:0] S_axi4_rdata
		.S_axi4_rid(S_axi4_rid_o), //output [3:0] S_axi4_rid
		.S_axi4_rlast(S_axi4_rlast_o), //output S_axi4_rlast
		.S_axi4_rready(S_axi4_rready_i), //input S_axi4_rready
		.S_axi4_rresp(S_axi4_rresp_o), //output [1:0] S_axi4_rresp
		.S_axi4_rvalid(S_axi4_rvalid_o), //output S_axi4_rvalid
		.S_axi4_wdata(S_axi4_wdata_i), //input [31:0] S_axi4_wdata
		.S_axi4_wlast(S_axi4_wlast_i), //input S_axi4_wlast
		.S_axi4_wready(S_axi4_wready_o), //output S_axi4_wready
		.S_axi4_wstrb(S_axi4_wstrb_i), //input [7:0] S_axi4_wstrb
		.S_axi4_wvalid(S_axi4_wvalid_i), //input S_axi4_wvalid
		.Axi_str_txd_tdata(Axi_str_txd_tdata_o), //output [31:0] Axi_str_txd_tdata
		.Axi_str_txd_tlast(Axi_str_txd_tlast_o), //output Axi_str_txd_tlast
		.Axi_str_txd_tready(Axi_str_txd_tready_i), //input Axi_str_txd_tready
		.Axi_str_txd_tvalid(Axi_str_txd_tvalid_o), //output Axi_str_txd_tvalid
		.Axi_str_txc_tdata(Axi_str_txc_tdata_o), //output [31:0] Axi_str_txc_tdata
		.Axi_str_txc_tlast(Axi_str_txc_tlast_o), //output Axi_str_txc_tlast
		.Axi_str_txc_tready(Axi_str_txc_tready_i), //input Axi_str_txc_tready
		.Axi_str_txc_tvalid(Axi_str_txc_tvalid_o), //output Axi_str_txc_tvalid
		.Interrupt(Interrupt_o), //output Interrupt
		.Mm2s_prmry_reset_out_n(Mm2s_prmry_reset_out_n_o), //output Mm2s_prmry_reset_out_n
		.Mm2s_cntrl_reset_out_n(Mm2s_cntrl_reset_out_n_o), //output Mm2s_cntrl_reset_out_n
		.S2mm_prmry_reset_out_n(S2mm_prmry_reset_out_n_o) //output S2mm_prmry_reset_out_n
	);

//--------Copy end-------------------
