
`define DATA_LENGTH_AND_NUM 15    
`define ADDR_WE_OE 8
`define LITE_DATAWD 32


/*if axi4-lite*/
    /*
    `define AXI4_DATA 0         //0 or 1
    `define FULL_DATAWD 32
    */

/*if axi4-full   data width is 32*/
    
    `define EN_AXI4
    `define AXI4_DATA 0
    `define FULL_DATAWD 32
    



/*if axi4-full   data width is 64*/
    /*
    `define EN_AXI4
    `define AXI4_DATA 1
    `define FULL_DATAWD 64
    */



/*--------------------------------------------------------------------------------------------------------------------

You can change the value of "DATA_LENGTH_AND_NUM" to get the "length of the test data". as follow:
`define DATA_LENGTH_AND_NUM 1  --->    IP will write      {1}
`define DATA_LENGTH_AND_NUM 2  --->    IP will write      {1},{1,2}                              
`define DATA_LENGTH_AND_NUM 2  --->    IP will write      {1},{1,2},{1,2,3}  
`define DATA_LENGTH_AND_NUM 4  --->    IP will write      {1},{1,2},{1,2,3},{1,2,3,4} 
`define DATA_LENGTH_AND_NUM 5  --->    IP will write      {1},{1,2},{1,2,3},{1,2,3,4},{1,2,3,4,5}
... 
`define DATA_LENGTH_AND_NUM 10  -->    IP will write      {1},{1,2},{1,2,3},...,{1,2,3,4,5,6,7,8,9,A}  
...
`define DATA_LENGTH_AND_NUM 20  -->    IP will write      {1},{1,2},{1,2,3},...,{1,2,3,4,5,6,7,8,9,A,B,C,D,E,F,10,11,12,13,14} 

 We don't recommend that the value of DATA_LENGTH_AND_NUM be too large,This will cause a timing error.
-----------------------------------------------------------------------------------------------------------------------------------*/

