`define DATA_LENGTH_AND_NUM 5    
`define ADDR_WE_OE 8
`define LITE_DATAWD 32


/*if axi4-lite*/
    /*
    `define AXI4_DATA 0         //0 or 1
    `define FULL_DATAWD 32
    */

/*if axi4-full   data width is 32*/
    
    `define EN_AXI4
    `define AXI4_DATA 0
    `define FULL_DATAWD 32
    



/*if axi4-full   data width is 64*/
    /*
    `define EN_AXI4
    `define AXI4_DATA 1
    `define FULL_DATAWD 64
    */



/*--------------------------------------------------------------------------------------------------------------------

可通过改变 DATA_LENGTH_AND_NUM 的值来定义生成的数据长度与个数，如：
`define DATA_LENGTH_AND_NUM 1  --->    写入IP 一组数据 , 值为       {1}
`define DATA_LENGTH_AND_NUM 2  ---->    写入IP 两组数据 , 值为      {1},{1,2}                              
`define DATA_LENGTH_AND_NUM 2  ---->    写入IP 三组数据 , 值为      {1},{1,2},{1,2,3}  
`define DATA_LENGTH_AND_NUM 4  ---->    写入IP 四组数据 , 值为      {1},{1,2},{1,2,3},{1,2,3,4} 
`define DATA_LENGTH_AND_NUM 5  ---->    写入IP 五组数据 , 值为      {1},{1,2},{1,2,3},{1,2,3,4},{1,2,3,4,5} 
...
`define DATA_LENGTH_AND_NUM 10  ---->    写入IP 十组数据 , 值为     {1},{1,2},{1,2,3},...,{1,2,3,4,5,6,7,8,9,A}  
...
`define DATA_LENGTH_AND_NUM 20  ---->    写入IP 二十组数据 , 值为    {1},{1,2},{1,2,3},...,{1,2,3,4,5,6,7,8,9,A,B,C,D,E,F,10,11,12,13,14}  
建议DATA_LENGTH_AND_NUM 的值 不要太大 ，即不方便查看，且由于测试程序的帧定时复位时间较短，容易出错

You can change the value of "DATA_LENGTH_AND_NUM" to get the "length of the test data". as follow:
`define DATA_LENGTH_AND_NUM 1  --->    IP will write      {1}
`define DATA_LENGTH_AND_NUM 2  --->    IP will write      {1},{1,2}                              
`define DATA_LENGTH_AND_NUM 2  --->    IP will write      {1},{1,2},{1,2,3}  
`define DATA_LENGTH_AND_NUM 4  --->    IP will write      {1},{1,2},{1,2,3},{1,2,3,4} 
`define DATA_LENGTH_AND_NUM 5  --->    IP will write      {1},{1,2},{1,2,3},{1,2,3,4},{1,2,3,4,5}
... 
`define DATA_LENGTH_AND_NUM 10  -->    IP will write      {1},{1,2},{1,2,3},...,{1,2,3,4,5,6,7,8,9,A}  
...
`define DATA_LENGTH_AND_NUM 20  -->    IP will write      {1},{1,2},{1,2,3},...,{1,2,3,4,5,6,7,8,9,A,B,C,D,E,F,10,11,12,13,14} 

 We don't recommend that the value of DATA_LENGTH_AND_NUM be too large,This will cause a timing error.
-----------------------------------------------------------------------------------------------------------------------------------*/

