##part1:new lib
vlib work
vmap work work

##part2: load design
vlog -novopt -incr -work work "../../../tb/prim_sim.v"
vlog -novopt -incr -work work "master_define.v"
vlog -novopt -incr -work work "../../../tb/AXI_Stream_FIFO_TB.v"
vlog -novopt -incr -work work "../../../project/2_Board_project_AXI4_FULL_32bit/src/axi_stream_fifo/axi_stream_fifo.vo"



##part3:sim design
vsim -novopt work.AXI_Stream_FIFO_TB

##part4:type
radix unsigned

##part5: add signals
add wave /AXI_Stream_FIFO_TB/S_axi4_awaddr
add wave /AXI_Stream_FIFO_TB/S_axi4_awready
add wave /AXI_Stream_FIFO_TB/S_axi4_awvalid
add wave /AXI_Stream_FIFO_TB/S_axi4_wdata
add wave /AXI_Stream_FIFO_TB/S_axi4_wready
add wave /AXI_Stream_FIFO_TB/S_axi4_wvalid
add wave /AXI_Stream_FIFO_TB/S_axi_awaddr
add wave /AXI_Stream_FIFO_TB/S_axi_awready
add wave /AXI_Stream_FIFO_TB/S_axi_awvalid
add wave /AXI_Stream_FIFO_TB/S_axi_wdata
add wave /AXI_Stream_FIFO_TB/S_axi_wready
add wave /AXI_Stream_FIFO_TB/S_axi_wvalid
add wave /AXI_Stream_FIFO_TB/Axi_str_txd_tdata
add wave /AXI_Stream_FIFO_TB/Axi_str_txd_tlast
add wave /AXI_Stream_FIFO_TB/Axi_str_txd_tready
add wave /AXI_Stream_FIFO_TB/Axi_str_txd_tvalid
add wave /AXI_Stream_FIFO_TB/S_axi_araddr
add wave /AXI_Stream_FIFO_TB/S_axi_arready
add wave /AXI_Stream_FIFO_TB/S_axi_arvalid
add wave /AXI_Stream_FIFO_TB/S_axi_rdata
add wave /AXI_Stream_FIFO_TB/S_axi_rready
add wave /AXI_Stream_FIFO_TB/S_axi_rvalid
add wave /AXI_Stream_FIFO_TB/S_axi4_araddr
add wave /AXI_Stream_FIFO_TB/S_axi4_arready
add wave /AXI_Stream_FIFO_TB/S_axi4_arvalid
add wave /AXI_Stream_FIFO_TB/S_axi4_rdata
add wave /AXI_Stream_FIFO_TB/S_axi4_rready
add wave /AXI_Stream_FIFO_TB/S_axi4_rvalid

##part6:show ui
view wave
view structure
view signals

##part7:run
run 260us